%global srcname fastecdsa

Name:		python-fastecdsa
Version:	2.2.3
Release:	1%{?dist}
Summary:	Python library for fast elliptic curve crypto

License:	Unlicense
URL:		https://github.com/AntonKueltz/fastecdsa
Source0:	%url/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:	gmp-devel
BuildRequires:	python3-devel
BuildRequires:	python3-pytest
BuildRequires:	pyproject-rpm-macros

%description
This is a python package for doing fast elliptic curve cryptography,
specifically digital signatures.

%package -n python3-%{srcname}
Summary:	%{summary}

%description -n python3-%{srcname}
%{summary}.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
pushd build/lib.linux-*
# they are trying to download test vectors
PYTHONPATH=$PWD %pytest -k "not test_whycheproof_vectors and not test_rfc6979_ecdsa"
popd

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md

%changelog
* Mon Jun 27 2022 Ali Erdinc Koroglu <aekoroglu@fedoraproject.org> - 2.2.3-1
- Initial package
